Gecode::Int::Arithmetic::MultZeroOne< View, pc > Class Template Reference
Other available functionality » Integer propagators

Bounds or domain consistent propagator for . More...

`#include <arithmetic.hh>`

## Public Member Functions

virtual Actor * | copy (Space &home)
| Copy propagator during cloning.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
Public Member Functions inherited from Gecode::BinaryPropagator< View, pc >
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as low binary).
virtual void | reschedule (Space &home)
| Schedule function.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, View x0, View x1)
| Post propagator .
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| MultZeroOne (Space &home, MultZeroOne< View, pc > &p)
| Constructor for cloning p.
| MultZeroOne (Home home, View x0, View x1)
| Constructor for posting.
Protected Member Functions inherited from Gecode::BinaryPropagator< View, pc >
| BinaryPropagator (Space &home, BinaryPropagator &p)
| Constructor for cloning p.
| BinaryPropagator (Home home, View x0, View x1)
| Constructor for creation.
| BinaryPropagator (Space &home, Propagator &p, View x0, View x1)
| Constructor for rewriting p during cloning.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Static Protected Member Functions

static RelTest | equal (View x, int n)
| Test whether x is equal to n.

## Additional Inherited Members

Protected Attributes inherited from Gecode::BinaryPropagator< View, pc >
View | x0
| Two views.
View | x1

## Detailed Description

template<class View, PropCond pc>
class Gecode::Int::Arithmetic::MultZeroOne< View, pc >

Bounds or domain consistent propagator for .

Requires

#include <gecode/int/arithmetic.hh>
arithmetic.hh

Definition at line 620 of file arithmetic.hh.

## Constructor & Destructor Documentation

## MultZeroOne() [1/2]

template<class View, PropCond pc>

Gecode::Int::Arithmetic::MultZeroOne< View, pc >::MultZeroOne | ( | Space & | home,
|  | MultZeroOne< View, pc > & | p )

inline protected

Constructor for cloning p.

Definition at line 136 of file mult.hpp.

## MultZeroOne() [2/2]

template<class View, PropCond pc>

Gecode::Int::Arithmetic::MultZeroOne< View, pc >::MultZeroOne | ( | Home | home,
|  | View | x0,
|  | View | x1 )

inline protected

Constructor for posting.

Definition at line 94 of file mult.hpp.

## Member Function Documentation

## equal()

template<class View, PropCond pc>

RelTest Gecode::Int::Arithmetic::MultZeroOne< View, pc >::equal | ( | View | x,
|  | int | n )

inline static protected

Test whether x is equal to n.

Definition at line 99 of file mult.hpp.

## copy()

template<class View, PropCond pc>

Actor * Gecode::Int::Arithmetic::MultZeroOne< View, pc >::copy | ( | Space & | home | ) |

virtual

Copy propagator during cloning.

Implements Gecode::Actor.

Definition at line 141 of file mult.hpp.

## propagate()

template<class View, PropCond pc>

ExecStatus Gecode::Int::Arithmetic::MultZeroOne< View, pc >::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 147 of file mult.hpp.

## post()

template<class View, PropCond pc>

ExecStatus Gecode::Int::Arithmetic::MultZeroOne< View, pc >::post | ( | Home | home,
|  | View | x0,
|  | View | x1 )

inline static

Post propagator .

Definition at line 109 of file mult.hpp.

The documentation for this class was generated from the following files:

- gecode/int/arithmetic.hh
- gecode/int/arithmetic/mult.hpp